For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve public IP addresses of the jambonz SBCs
      • GETretrieve voip carrier
      • PUTupdate voip carrier
      • DELdelete a voip carrier
      • GETlist sip gateways
      • POSTcreate sip gateway
      • GETretrieve sip gateway
      • PUTupdate sip gateway
      • DELdelete a sip gateway
      • GETget all carriers availlble to the account
      • POSTcreate a carrier as a service provider
      • GETget all carriers for an account
      • POSTcreate a carrier for an account
      • POSTadd a carrier to a service provider using a template
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementCarriers

get all carriers for an account

GET
https://api.jambonz.cloud/v1/Accounts/:AccountSid/VoipCarriers
GET
/v1/Accounts/:AccountSid/VoipCarriers
$curl https://api.jambonz.cloud/v1/Accounts/AccountSid/VoipCarriers \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "name": "Acme SIP Carrier",
4 "service_provider_sid": "6072f617-6151-4c15-8eb9-74a4967ab701",
5 "account_sid": "a3f1c2d4-5678-4b9a-9cde-123456789abc",
6 "application_sid": "b4d2e3f5-6789-4c0b-8def-23456789abcd",
7 "description": "Primary SIP carrier for US outbound calls",
8 "diversion": "enabled",
9 "e164_leading_plus": true,
10 "inbound_auth_password": "inboundAuthPass!",
11 "inbound_auth_username": "acme_inbound_user",
12 "is_active": true,
13 "register_password": "securePass123!",
14 "register_sip_realm": "sip.acmecarrier.com",
15 "register_username": "acme_user",
16 "requires_register": true,
17 "smpp_enquire_link_interval": 30,
18 "smpp_inbound_password": "inboundPass789!",
19 "smpp_inbound_system_id": "acme_inbound",
20 "smpp_password": "smppPass456!",
21 "smpp_system_id": "acme_smpp",
22 "tech_prefix": "ACME",
23 "trunk_type": "auth",
24 "voip_carrier_sid": "d9f8e7c6-b5a4-4321-9fed-cba987654321"
25 }
26]
Was this page helpful?
Previous

create a carrier for an account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequired

Response

carrier listing
namestring
service_provider_sidstringformat: "uuid"
account_sidstringformat: "uuid"
application_sidstringformat: "uuid"
descriptionstring
diversionstring
e164_leading_plusboolean
inbound_auth_passwordstring<=64 characters
password for an auth trunk
inbound_auth_usernamestring<=64 characters
username for an auth trunk
is_activeboolean
register_passwordstring
register_sip_realmstring
register_usernamestring
requires_registerboolean
smpp_enquire_link_intervalinteger
smpp_inbound_passwordstring
smpp_inbound_system_idstring
smpp_passwordstring
smpp_system_idstring
tech_prefixstring
trunk_typeenumDefaults to static_ip

The type of trunk to create, see the guide for details

Allowed values:
voip_carrier_sidstringformat: "uuid"

Errors

403
Forbidden Error
404
Not Found Error